Index: /LMDZ4/trunk/libf/phylmd/ini_bilKP_ins.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_bilKP_ins.h	(revision 765)
+++ /LMDZ4/trunk/libf/phylmd/ini_bilKP_ins.h	(revision 766)
@@ -11,15 +11,15 @@
          CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
 c
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
-         DO i = 1, iim
-            zx_lon(i,1) = rlon(i+1)
-            zx_lon(i,jjmp1) = rlon(i+1)
-         ENDDO
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
+cym         DO i = 1, iim
+cym            zx_lon(i,1) = rlon(i+1)
+cym            zx_lon(i,jjmp1) = rlon(i+1)
+cym         ENDDO
          DO ll=1,klev
             znivsig(ll)=float(ll)
          ENDDO
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
-         write(*,*)'zx_lon = ',zx_lon(:,1)
-         write(*,*)'zx_lat = ',zx_lat(1,:)
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
+cym         write(*,*)'zx_lon = ',zx_lon(:,1)
+cym         write(*,*)'zx_lat = ',zx_lat(1,:)
 c
 cIM 280405 BEG
@@ -30,12 +30,12 @@
           jmin_ins=1
           jmax_ins=jjmp1
-          do i=1,iim-1
-             if(zx_lon(i,1).lt.lonmin_ins) imin_ins=i
-             if(zx_lon(i,1).le.lonmax_ins) imax_ins=i+1
-          enddo
-          do j=1,jjmp1
-             if(zx_lat(1,j).ge.latmin_ins) jmax_ins=j
-             if(zx_lat(1,j).gt.latmax_ins) jmin_ins=j
-          enddo
+cym          do i=1,iim-1
+cym             if(zx_lon(i,1).lt.lonmin_ins) imin_ins=i
+cym             if(zx_lon(i,1).le.lonmax_ins) imax_ins=i+1
+cym          enddo
+cym          do j=1,jjmp1
+cym             if(zx_lat(1,j).ge.latmin_ins) jmax_ins=j
+cym             if(zx_lat(1,j).gt.latmax_ins) jmin_ins=j
+cym          enddo
 c
           print*,'On stoke le fichier bilKP instantanne sur ',
@@ -48,9 +48,9 @@
 cIM 280405 END
 c
-         IF(1.EQ.0) THEN
-         CALL histbeg("histbilKP_ins", iim,zx_lon(:,1), jjmp1,
-     .                zx_lat(1,:),
-     .                1,iim,1,jjmp1, itau_phy, zjulian, dtime,
-     .                nhori, nid_bilKPins)
+cym         IF(1.EQ.0) THEN
+cym         CALL histbeg("histbilKP_ins", iim,zx_lon(:,1), jjmp1,
+cym     .                zx_lat(1,:),
+cym     .                1,iim,1,jjmp1, itau_phy, zjulian, dtime,
+cym     .                nhori, nid_bilKPins)
          ENDIF
 c
@@ -58,9 +58,11 @@
 c
 cIM cf. AM 081204 BEG region
-         CALL histbeg("histbilKP_ins", iim,zx_lon(:,1), 
-     .                 jjmp1,zx_lat(1,:),
-     .                 imin_ins,imax_ins-imin_ins+1,
-     .                 jmin_ins,jmax_ins-jmin_ins+1,
-     .                 itau_phy, zjulian, dtime,
+cym         CALL histbeg("histbilKP_ins", iim,zx_lon(:,1), 
+cym     .                 jjmp1,zx_lat(1,:),
+cym     .                 imin_ins,imax_ins-imin_ins+1,
+cym     .                 jmin_ins,jmax_ins-jmin_ins+1,
+cym     .                 itau_phy, zjulian, dtime,
+cym     .                 nhori, nid_bilKPins)
+         CALL histbeg_phy("histbilKP_ins", itau_phy, zjulian, dtime,
      .                 nhori, nid_bilKPins)
 cIM 081204 END
@@ -77,20 +79,20 @@
          CALL histdef(nid_bilKPins,"ue",
      .   "Zonal energy transport","-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32, 
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32, 
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins,"ve",
      .   "Merid energy transport","-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32, 
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32, 
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins,"uq",
      .   "Zonal humidity transport","-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32, 
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32, 
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins,"vq",
      .   "Merid humidity transport","-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32, 
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32, 
      .                typeval, zsto,zout)
 c
@@ -99,30 +101,30 @@
          CALL histdef(nid_bilKPins, "temp",
      .   "Air temperature", "K",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins,"ovap",
      .   "Specific humidity","Kg/Kg",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins,"geop",
      .   "Geopotential height", "m",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins,"vitu", 
      .   "Zonal wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins,"vitv", 
      .   "Meridional wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins, "vitw",
      .   "Vertical wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
@@ -130,5 +132,5 @@
      .   "Inter-Layer Air pressure",
      .                "Pa",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
@@ -136,5 +138,5 @@
      .   "Mean-Layer Air pressure",
      .                "Pa",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
@@ -142,50 +144,50 @@
      .   "Liquid water content", 
      .                "kg/kg",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins, "dtdyn",
      .   "Dynamics dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins, "dqdyn",
      .   "Dynamics dQ", "Kg/Kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins, "dtcon",
      .   "Convection dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins, "ducon",
      .   "Convection du", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins, "dvcon",
      .   "Convection dv", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins,"dqcon",
      .   "Convection dQ","Kg/Kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins, "dtlsc",
      .   "Condensation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins,"dqlsc",
      .   "Condensation dQ","Kg/Kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins,"dtvdf",
      .   "Boundary-layer dT","K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
@@ -193,10 +195,10 @@
      .   "Boundary-layer dQ", 
      .               "Kg/Kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins,"dtajs",
      .   "Ajustement sec dT","K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
@@ -204,10 +206,10 @@
      .   "Ajustement sec dQ", 
      .               "Kg/Kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins,"dteva",
      .   "Reevaporation dT","K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
@@ -215,5 +217,5 @@
      .   "Reevaporation dQ",
      .                "Kg/Kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 
@@ -221,30 +223,30 @@
          CALL histdef(nid_bilKPins, "dtswr", 
      .   "SW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins, "dtsw0", 
      .   "SW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins, "dtlwr", 
      .   "LW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins, "dtlw0", 
      .   "LW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins,"duvdf",
      .   "Boundary-layer dU","m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins,"dvvdf",
      .   "Boundary-layer dV","m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
@@ -253,10 +255,10 @@
          CALL histdef(nid_bilKPins, "duoli", 
      .   "Orography dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
          CALL histdef(nid_bilKPins, "dvoli", 
      .   "Orography dV", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 c
@@ -266,25 +268,25 @@
          CALL histdef(nid_bilKPins, "duphy",
      .   "Physiq dU","-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 C
          CALL histdef(nid_bilKPins, "dvphy",
      .   "Physiq dV","-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 C
          CALL histdef(nid_bilKPins, "dtphy",
      .   "Physiq dT","-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 C
          CALL histdef(nid_bilKPins, "dqphy",
      .   "Physiq dQ","-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 C
          CALL histdef(nid_bilKPins, "dqlphy",
      .   "Physiq dQl","-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                typeval, zsto,zout)
 cIM 280405 BEG
@@ -303,10 +305,10 @@
           CALL histdef(nid_bilKPins, "u"//bb2,
      .                 "Zonal wind "//bb2//"mb","m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                typeval, zsto,zout)
 c
           CALL histdef(nid_bilKPins, "v"//bb2,
      .                 "Meridional wind "//bb2//"mb","m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                typeval, zsto,zout)
 c
Index: /LMDZ4/trunk/libf/phylmd/ini_histISCCP.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_histISCCP.h	(revision 765)
+++ /LMDZ4/trunk/libf/phylmd/ini_histISCCP.h	(revision 766)
@@ -4,4 +4,5 @@
       IF (ok_isccp) THEN
 c
+c$OMP MASTER
       ndex2d = 0
       ndex3d = 0
@@ -53,46 +54,57 @@
 c definition coordonnees lon,lat en globale
 c
-        CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
-        DO i = 1, iim
-          zx_lon(i,1) = rlon(i+1)
-          zx_lon(i,jjmp1) = rlon(i+1)
-        ENDDO
-
-        CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
+cym        CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
+cym        DO i = 1, iim
+cym          zx_lon(i,1) = rlon(i+1)
+cym          zx_lon(i,jjmp1) = rlon(i+1)
+cym        ENDDO
+
+cym        CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
 c
 cIM BEG region
+cym Desole dans un premier temps le mode region ne marchera pas
+cym Il faudra voir dans un second temps pour l'implementer
+cym Mais cela posera des problemes au niveau de la reconstruction
+
           imin_ins=1
           imax_ins=iim
           jmin_ins=1
           jmax_ins=jjmp1
-          do i=1,iim-1
-             if(zx_lon(i,1).lt.lonmin_ins) imin_ins=i
-             if(zx_lon(i,1).le.lonmax_ins) imax_ins=i+1
-          enddo
-          do j=1,jjmp1
-             if(zx_lat(1,j).ge.latmin_ins) jmax_ins=j
-             if(zx_lat(1,j).gt.latmax_ins) jmin_ins=j
-          enddo
+cym          do i=1,iim-1
+cym             if(zx_lon(i,1).lt.lonmin_ins) imin_ins=i
+cym             if(zx_lon(i,1).le.lonmax_ins) imax_ins=i+1
+cym          enddo
+cym          do j=1,jjmp1
+cym             if(zx_lat(1,j).ge.latmin_ins) jmax_ins=j
+cym             if(zx_lat(1,j).gt.latmax_ins) jmin_ins=j
+cym          enddo
 c
           print*,'On stoke le fichier histISCCP instantanne sur ',
      s   imin_ins,imax_ins,jmin_ins,jmax_ins
-          print*,'On stoke le fichier histISCCP instantanne sur ',
-     s   zx_lon(imin_ins,1),zx_lon(imax_ins,1),
-     s   zx_lat(1,jmin_ins),zx_lat(1,jmax_ins)
+cym          print*,'On stoke le fichier histISCCP instantanne sur ',
+cym     s   zx_lon(imin_ins,1),zx_lon(imax_ins,1),
+cym     s   zx_lat(1,jmin_ins),zx_lat(1,jmax_ins)
 cIM END region
 c
         IF(1.EQ.0) THEN
-         CALL histbeg("histISCCP.nc", iim,zx_lon(:,1),jjmp1,zx_lat(1,:),
-     .                 1, iim, 1, jjmp1,
-     .                 itau_phy, zjulian, dtime,
+cym         CALL histbeg("histISCCP.nc", iim,zx_lon(:,1),jjmp1,zx_lat(1,:),
+cym     .                 1, iim, 1, jjmp1,
+cym     .                 itau_phy, zjulian, dtime,
+cym     .                 nhori, nid_isccp)
+         CALL histbeg_phy("histISCCP.nc", itau_phy, zjulian, dtime,
      .                 nhori, nid_isccp)
+
         ENDIF !(1.EQ.0) THEN
 c
-         CALL histbeg("histISCCP.nc", iim,zx_lon(:,1),
-     .                 jjmp1,zx_lat(1,:),
-     .                 imin_ins,imax_ins-imin_ins+1,
-     .                 jmin_ins,jmax_ins-jmin_ins+1,
-     .                 itau_phy, zjulian, dtime,
+cym         CALL histbeg("histISCCP.nc", iim,zx_lon(:,1),
+cym     .                 jjmp1,zx_lat(1,:),
+cym     .                 imin_ins,imax_ins-imin_ins+1,
+cym     .                 jmin_ins,jmax_ins-jmin_ins+1,
+cym     .                 itau_phy, zjulian, dtime,
+cym     .                 nhori, nid_isccp)
+
+         CALL histbeg_phy("histISCCP.nc", itau_phy, zjulian, dtime,
      .                 nhori, nid_isccp)
+
 c
         IF(type_run.EQ."ENSP".OR.type_run.EQ."CLIM") THEN
@@ -118,5 +130,5 @@
           CALL histdef(nid_isccp, "cldISCCP_"//taulev(k)//typinout(n),
      .                "LMDZ ISCCP cld", "%",
-     .                iim, jjmp1,nhori,lmaxm1,1,lmaxm1,nvert,32,
+     .                iim, jjphy_nb,nhori,lmaxm1,1,lmaxm1,nvert,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
          ENDDO
@@ -124,5 +136,5 @@
          CALL histdef(nid_isccp, "nsunlit"//typinout(n),
      .                "Nb of calls with sunlit ", "%",
-     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
@@ -140,5 +152,5 @@
            CALL histdef(nid_isccp, pclev(l)//taulev(k)//typinout(n),
      .                "LMDZ ISCCP cld "//cnameisccp(l,k), "%",
-     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
@@ -149,5 +161,5 @@
           CALL histdef(nid_isccp, "nsunlit"//typinout(n),
      .                "Nb of calls with sunlit ", "%",
-     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
@@ -155,45 +167,45 @@
           CALL histdef(nid_isccp, "cirr",
      .                "Cirrus lk ISCCP-D2", "%",
-     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "cist",
      .                "CiSt lk ISCCP-D2", "%",
-     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "deep",
      .                "Deep lk ISCCP-D2", "%",
-     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "alcu",
      .                "AlCu lk ISCCP-D2", "%",
-     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "alst",
      .                "AlSt lk ISCCP-D2", "%",
-     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "nist",
      .                "NiSt lk ISCCP-D2", "%",
-     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "cumu",
      .                "Cumu lk ISCCP-D2", "%",
-     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "stcu",
      .                "StCu lk ISCCP-D2", "%",
-     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "stra",
      .                "Stra lk ISCCP-D2", "%",
-     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
@@ -201,15 +213,15 @@
           CALL histdef(nid_isccp, "thin",
      .                "Opt. thin ISCCP-D2 like clouds", "%",
-     .                iim, jjmp1,nhori,lmax3,1,lmax3,nvert3,32,
+     .                iim, jjphy_nb,nhori,lmax3,1,lmax3,nvert3,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "mid",
      .                "Opt. intermediate ISCCP-D2 like clouds", "%",
-     .                iim, jjmp1,nhori,lmax3,1,lmax3,nvert3,32,
+     .                iim, jjphy_nb,nhori,lmax3,1,lmax3,nvert3,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "thick",
      .                "Opt. thick ISCCP-D2 like clouds", "%",
-     .                iim, jjmp1,nhori,lmax3,1,lmax3,nvert3,32,
+     .                iim, jjphy_nb,nhori,lmax3,1,lmax3,nvert3,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
@@ -224,5 +236,5 @@
           CALL histdef(nid_isccp,"boxptop"//verticaxe(n),
      .                "Boxptop axe"//verticaxe(n), "mb",
-     .                iim, jjmp1,nhori,
+     .                iim, jjphy_nb,nhori,
      .                ncol(n),1,ncol(n),nvlev(n),32,
 cIM  .                ncolmx,1,ncolmx,nvlev,32,
@@ -237,5 +249,5 @@
           CALL histdef(nid_isccp, "seed"//verticaxe(n),
      .                "seed axe"//verticaxe(n), "-",
-     .                iim, jjmp1,nhori,1,1,1,-99,32,
+     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
 cIM  .                "inst(X)", dtime,dtime)
      .                "ave(X)", zcals(n),zout_isccp(n))
@@ -245,3 +257,4 @@
         CALL histend(nid_isccp)
 c
+c$OMP END MASTER
       ENDIF ! ok_isccp
Index: /LMDZ4/trunk/libf/phylmd/ini_histREGDYN.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_histREGDYN.h	(revision 765)
+++ /LMDZ4/trunk/libf/phylmd/ini_histREGDYN.h	(revision 766)
@@ -4,4 +4,6 @@
 
       IF (ok_regdyn) THEN
+      
+        if (monocpu) then
 c
 cIM      PRINT*, 'La frequence de sortie REGDYN est de ', ecrit_mth
@@ -120,4 +122,6 @@
 c
          CALL histend(nid_regdyn)
+	 
+	 endif ! monocpu
 
       endif ! ok_regdyn
